<template>
  <div class="main_content">
    <!-- <app-frame :tabs="tabs" title="数字经济产业学院"> -->
    <img src="https://webapp-pub.ezijing.com/www/pc/news/news.png" class="banner" />
    <!-- <template #article> -->
    <article-list v-bind="listOptions"></article-list>
    <!-- </template> -->
    <!-- </app-frame> -->
  </div>
</template>

<script>
// import AppFrame from '@/components/AppFrame'
// import navList from '@/assets/servicesCollegeNavList.js'
import ArticleList from '@/components/ArticleList'
import { getArticleList } from '@/api'

export default {
  // components: { AppFrame, ArticleList },
  components: { ArticleList },
  data() {
    return {
      // tabs: navList(this)
    }
  },
  computed: {
    listOptions() {
      return {
        remote: {
          httpRequest: getArticleList,
          params: { project_id: process.env.projectId, type_tag: 'service_case' }
        },
        to(item) {
          return { name: 'services-college-case-id', params: { id: item.id } }
        }
      }
    }
  }
}
</script>
<style lang="scss" scoped>
.main_content {
  width: 1200px;
  margin: 30px auto;

  .banner {
    width: 100%;
  }
}
</style>
